Apps: Get All (Index)
GET /appsQuery Parameters
Section titled “Query Parameters”| Name | Type | Required | Description |
|---|---|---|---|
page |
string | No | specify the page number |
per_page |
string | No | specify the number of records you need per page |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request GET \ --url 'https://control.pulsatehq.com/api/v2/apps?page=1&per_page=1' \ --header 'Authorization: Token token={my_admin_api_token}' \ --header 'Content-Type: application/json'Responses
Section titled “Responses”200
{ "data": [ { "id": "5ae07be64753364695040000", "banno_configuration": { "client_id": null, "client_secret": null, "institution_id": null, "public_key": null }, "created_at": "2018-04-25T13:00:37Z", "hubspot": { "connected": false, "selected_fields": null, "contacts_sync_status": null }, "feature_flags": { "admin_access_restrictions": false, "banno_push_send_to_url": true, "campaigns_goals": false, "card": true, "change_notification_button_colors": false, "concat_custom_attributes": false, "core_member_id_upload": false, "csv_users_upload": true, "cunexus": false, "custom_attributes": false, "dashboard_beta": true, "demo_mode": false, "download_opportunity_files": { "app_file": true, "performance_files": true }, "feed_post_plus_notification": false, "push": false, "small_in_app": false, "email": true, "excluded_from_cron_jobs": false, "external_goal_file_upload_section": false, "http_webhooks": false, "infra_report_service_read": false, "infra_report_service_send": false, "infra_user_service_send": false, "journeys": true, "messages": false, "notifications_extra_buttons": true, "old_app_and_device_stats": false, "opportunities_dashboard": true, "opportunities_stats": false, "push_ab_testing": true, "push_rich_media": false, "pulsate_beta": false, "q2_in_app": false, "sms": false, "sms_delivery": false, "web_sdk": true }, "geofence_setting": { "geofence_feet_unit": true, "max_radius": 6561, "min_radius": 165 }, "image": "https://pulsate-media-bucket-production.s3.eu-west-1.amazonaws.com/default-app-image.png", "mode": "Production", "name": "Staging", "pem_certificate": { "pem_expired": false, "pem_about_to_expire": false, "pem_expired_at": null, "pem_errors": [] }, "p8_certificate": false } ], "metadata": { "page": 1, "per_page": 1, "total_pages": 28, "data_count": 28 }}
